#
# spec file for package python-audiogrep
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-audiogrep
Version:        0.1.5
Release:        2.19
Summary:        Python package to create audio supercuts
License:        MIT
Group:          Development/Languages/Python
URL:            https://antiboredom.github.io/audiogrep
Source:         https://files.pythonhosted.org/packages/source/a/audiogrep/audiogrep-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       ffmpeg
Requires:       pocketsphinx
Requires:       python-pydub
Requires(post): update-alternatives
Requires(postun): update-alternatives
BuildArch:      noarch
# SECTION test requirements
BuildRequires:  %{python_module pydub}
# /SECTION
%python_subpackages

%description
Audiogrep transcribes audio files and then creates "audio supercuts"
based on search phrases.

%prep
%setup -q -n audiogrep-%{version}

%build
%python_build

%install
%python_install
%python_clone -a %{buildroot}%{_bindir}/audiogrep
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%post
%python_install_alternative audiogrep

%postun
%python_uninstall_alternative audiogrep

%files %{python_files}
%doc README.md
%license LICENSE
%python_alternative %{_bindir}/audiogrep
%{python_sitelib}/*

%changelog
* Wed May 27 2020 Petr Gajdos <pgajdos@suse.com>
- %%python3_only -> %%python_alternative
* Mon Mar  5 2018 toddrme2178@gmail.com
- Initial version
